"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAssetWithProof = void 0;
const umi_1 = require("@metaplex-foundation/umi");
const getAssetWithProof = async (context, assetId) => {
    const [rpcAsset, rpcAssetProof] = await Promise.all([
        context.rpc.getAsset(assetId),
        context.rpc.getAssetProof(assetId),
    ]);
    return {
        leafOwner: rpcAsset.ownership.owner,
        leafDelegate: rpcAsset.ownership.delegate
            ? rpcAsset.ownership.delegate
            : rpcAsset.ownership.owner,
        merkleTree: rpcAssetProof.tree_id,
        root: (0, umi_1.publicKeyBytes)(rpcAssetProof.root),
        dataHash: (0, umi_1.publicKeyBytes)(rpcAsset.compression.data_hash),
        creatorHash: (0, umi_1.publicKeyBytes)(rpcAsset.compression.creator_hash),
        nonce: rpcAsset.compression.leaf_id,
        index: rpcAssetProof.node_index - 2 ** rpcAssetProof.proof.length,
        proof: rpcAssetProof.proof,
        rpcAsset,
        rpcAssetProof,
    };
};
exports.getAssetWithProof = getAssetWithProof;
//# sourceMappingURL=getAssetWithProof.js.map